<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Categories
      </mat-chip>
  </mat-chip-list>
</div>

<button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Category">add</mat-icon>
</button>

<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>CATEGORIES</span>
      <div style="flex-grow:1;"></div>
      <!-- <a routerLink="/deleted-category" style="font-size: 16px;padding: 5px;"> Deleted Categories</a>&nbsp; -->
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">DELETE</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="category_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>


      <!-- <ng-container matColumnDef="category_image">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Image </mat-header-cell>
        <mat-cell *matCellDef="let element">
            <img  [src]="element.category_image==null? 'http://13.236.78.106/api/No_image_available.svg.png':element.category_image" width="50px"> 
        </mat-cell>
      </ng-container> -->

      <ng-container matColumnDef="category_name">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Category Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.category_name}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <button mat-icon-button>
            <mat-icon matTooltip="Edit" (click)="sidenav1.toggle()" (click)="edit(element.category_id, element.type)">edit
            </mat-icon>
          </button>

          <!-- <button mat-icon-button>
              <mat-icon matTooltip="Delete" (click)="onDelete(element.id)">delete
              </mat-icon>
            </button> -->
        </mat-cell>
      </ng-container>

      <!-- <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.category_id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container> -->
      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef>
          <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
          [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
              >
          </mat-checkbox>
        </mat-header-cell>
        <mat-cell *matCellDef="let row">  
          <mat-checkbox  (change)="sendIDS($event.checked,row.category_id,posts.length)"
                        [checked]="sel">
          </mat-checkbox>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="['category_id', 'category_name', 'actions','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['category_id', 'category_name', 'actions','action']"></mat-row>

    </mat-table>

    <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100" [pageSize]="50" [pageSizeOptions]="[50, 100,500, 1000]">

    </mat-paginator>
  </div>
</div>


<mat-sidenav-container>

  <mat-sidenav #sidenav1 mode="over" opened="false" position="end">
    <mat-toolbar>
      <button mat-icon-button (click)="sidenav1.toggle() && resetform()">
        <mat-icon class="icon" matTooltip="Close">close</mat-icon>
      </button>
      <span style="margin-left: 15px;">ADD CATEGORY</span>
    </mat-toolbar>

    <div style="padding: 0 24px 24px 24px; margin-top: 10px;">
      <form [formGroup]="categoryForm">

        <mat-form-field>
          <input matInput placeholder="Category Name" formControlName="category_name">
          <mat-error *ngIf="categoryForm.controls['category_name'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <!-- <image-upload #inputFile buttonCaption="Select Image" [max]="1"  [uploadedFiles]="showLogo" dropBoxMessage="Image size must be less than 1 MB"
              (change)="uploadImage($event)"></image-upload> -->

        <div style="margin-top: 15px;">
          <a mat-raised-button (click)="resetform()" mat-raised-button color="accent" style="margin-left: 5px;">Reset</a>
          <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="sidenav1.toggle() && submit()" [disabled]="!categoryForm.valid || Hidden">Submit</button>
        </div>
      </form>
    </div>

  </mat-sidenav>
</mat-sidenav-container>